React Turbo Scaffolding - ASP.Net Core React Scaffolding Engine

Minimum System Requirements

NOTE: Since ASP.NET Core 2.0 and ASP.NET Core 2.1 create React projects with different structures, please ensure you have selected the correct version of React Turbo Scaffolding for your version. See details on ASP.NET Core below for more information.

Development Machine

Host Machine

Recommended System Requirements

Development Machine

Host Machine

1 ReactTS < version 3.0 requires ASP.Net Core 2.0.x; ReactTS version 3.0+ requires ASP.Net Core 2.1; ASP.NET Core 2.0 and 2.1 projects are not compatible since they have a different project structure; ASP.Net Core 1.x are not supported.